#
#  ██╗  ██╗██╗██████╗ ██╗  ██╗██╗ █████╗ ███████╗
#  ╚██╗██╔╝██║██╔══██╗██║  ██║██║██╔══██╗██╔════╝
#   ╚███╔╝ ██║██████╔╝███████║██║███████║███████╗
#   ██╔██╗ ██║██╔═══╝ ██╔══██║██║██╔══██║╚════██║
#  ██╔╝ ██╗██║██║     ██║  ██║██║██║  ██║███████║
#  ╚═╝  ╚═╝╚═╝╚═╝     ╚═╝  ╚═╝╚═╝╚═╝  ╚═╝╚══════╝
#
# calcium.mcfunction | Award the active player and share the Advancement with other players.
#                    | Called by 'Improved Calcium' Advancement
#

# Loot Chest Lv0, Strength I
tellraw @s ["",{"text":"Loot Chest Lv0 Given\n","color":"aqua"},{"text":"Permanent Strength I Enabled","color":"red"}]
playsound minecraft:entity.player.levelup player @s ~ ~ ~ 1 0.75 1

# Loot Chest Reward
give @s minecraft:chest{display:{Name:"{\"text\":\"Loot Chest | Lv 0\"}"},BlockEntityTag:{LootTable:"xiphias:chests/loot_chest_lv0"}}

# /Recipe and XP Awards are given through the Advancement/

# Give Tags needed for Strength (a0), Tag: calcium_intensifies
tag @s add calcium_intensifies

# Award Advancement to other players.
advancement grant @a only xiphias:misc/b01_calcium

# END OF LINE.