#
#  ██╗  ██╗██╗██████╗ ██╗  ██╗██╗ █████╗ ███████╗
#  ╚██╗██╔╝██║██╔══██╗██║  ██║██║██╔══██╗██╔════╝
#   ╚███╔╝ ██║██████╔╝███████║██║███████║███████╗
#   ██╔██╗ ██║██╔═══╝ ██╔══██║██║██╔══██║╚════██║
#  ██╔╝ ██╗██║██║     ██║  ██║██║██║  ██║███████║
#  ╚═╝  ╚═╝╚═╝╚═╝     ╚═╝  ╚═╝╚═╝╚═╝  ╚═╝╚══════╝
#
# lucky_rabbit.mcfunction | Award the active player and share the Advancement with other players.
#                         | Called by 'Lucky Rabbit' Advancement
#

# Loot Chest Lv1, Lime Dye
tellraw @s ["",{"text":"Loot Chest Lv1 Given\n","color":"aqua"},{"text":"Lime Dye Recipe Unlocked","color":"yellow"}]
playsound minecraft:entity.player.levelup player @s ~ ~ ~ 1 0.75 1

# Loot Chest Reward
give @s minecraft:chest{display:{Name:"{\"text\":\"Loot Chest | Lv 1\"}"},BlockEntityTag:{LootTable:"xiphias:chests/loot_chest_lv1"}}

# /Recipe and XP Awards are given through the Advancement/

# |===| Flush Lucky Rabbit and Rabits out of the World |===|
execute at @e[type=minecraft:rabbit,name="Lucky Rabbit"] run particle minecraft:cloud ~ ~ ~ 1 1 1 0 777 normal @a
tp @e[type=minecraft:rabbit,name="Lucky Rabbit"] ~0 -256 ~0
execute at @e[type=minecraft:rabbit,name="Lucky Rabit"] run particle minecraft:cloud ~ ~ ~ 1 1 1 0 777 normal @a
tp @e[type=minecraft:rabbit,name="Lucky Rabit"] ~0 -256 ~0
# |========================================================|

# Award Advancement to other players.
advancement grant @a only xiphias:wool/a03_lucky_rabbit

# END OF LINE.