#
#  ██╗  ██╗██╗██████╗ ██╗  ██╗██╗ █████╗ ███████╗
#  ╚██╗██╔╝██║██╔══██╗██║  ██║██║██╔══██╗██╔════╝
#   ╚███╔╝ ██║██████╔╝███████║██║███████║███████╗
#   ██╔██╗ ██║██╔═══╝ ██╔══██║██║██╔══██║╚════██║
#  ██╔╝ ██╗██║██║     ██║  ██║██║██║  ██║███████║
#  ╚═╝  ╚═╝╚═╝╚═╝     ╚═╝  ╚═╝╚═╝╚═╝  ╚═╝╚══════╝
#
# back_to_a1.mcfunction | Teleport all players back to area 1 from an invalid location.
#                       | Called by 'xiphias:_run_every_second'
#

#   Reset score values for area 1
scoreboard players set @a xph_tp_counter 0
scoreboard players set SirSecondTick xph_location_id 1
scoreboard players set @a xph_location_id 1

#   Teleport players to area 1
spreadplayers 160 205 3 1 false @s
playsound minecraft:item.chorus_fruit.teleport player @s ~ ~ ~ 1 .75 1
execute at @s run particle minecraft:cloud ~ ~ ~ 1 1 1 0 1000 normal @s

#   Player Messages
title @s times 20 100 20
title @s subtitle ["",{"text":"Exclusive Materials: "},{"text":"Wood","color":"green"},{"text":", "},{"text":"Leather","color":"green"},{"text":", "},{"text":"Gold","color":"green"}]
title @s title {"text":"Hacienda","color":"aqua"}
tellraw @s {"text":"Crouch for 5 seconds without moving to return to the map hub.","italic":true}

# END OF LINE.