#
#  ██╗  ██╗██╗██████╗ ██╗  ██╗██╗ █████╗ ███████╗
#  ╚██╗██╔╝██║██╔══██╗██║  ██║██║██╔══██╗██╔════╝
#   ╚███╔╝ ██║██████╔╝███████║██║███████║███████╗
#   ██╔██╗ ██║██╔═══╝ ██╔══██║██║██╔══██║╚════██║
#  ██╔╝ ██╗██║██║     ██║  ██║██║██║  ██║███████║
#  ╚═╝  ╚═╝╚═╝╚═╝     ╚═╝  ╚═╝╚═╝╚═╝  ╚═╝╚══════╝
#
# to_a2.mcfunction | Teleport all players to area 2.
#                  | Called by in-game commandblock (198,165,1599)
#

#   Reset score values for area 2
scoreboard players set @a xph_tp_counter 0
scoreboard players set SirSecondTick xph_location_id 2
scoreboard players set @a xph_location_id 2

#   Location specific settings for area 2
time set 13183t
gamerule randomTickSpeed 3
setworldspawn 1704 69 80
#worldborder center 1624 200
#worldborder damage amount 0
#worldborder warning distance 0

#   Teleport players to area 2
spreadplayers 1704 80 3 1 false @a
playsound minecraft:item.chorus_fruit.teleport player @a ~ ~ ~ 1 .75 1
execute at @a run particle minecraft:cloud ~ ~ ~ 1 1 1 0 1000 normal @a
#worldborder set 301 0

#   Player Messages
title @a times 20 100 20
title @a subtitle ["",{"text":"Exclusive Materials: "},{"text":"Stone","color":"green"},{"text":", "},{"text":"Lapis","color":"green"}]
title @a title {"text":"Truskeia","color":"aqua"}
tellraw @a {"text":"Crouch for 5 seconds without moving to return to the map hub.","italic":true}

# END OF LINE.